ojph_block_encoder.cpp File Reference

implements HTJ2K block encoder More...

`#include <cassert>`
`#include <cstring>`
`#include <cstdint>`
`#include <climits>`
`#include "grok.h"`
`#include "logger.h"`
`#include "ojph_mem.h"`
`#include "ojph_arch.h"`
`#include "ojph_block_encoder.h"`
`#include "table0.h"`
`#include "table1.h"`

## Classes

struct | ojph::local::mel_struct
struct | ojph::local::vlc_struct
struct | ojph::local::ms_struct

## Namespaces

namespace | ojph
namespace | ojph::local

## Functions

static bool | ojph::local::vlc_init_tables ()
static bool | ojph::local::uvlc_init_tables ()
static void | ojph::local::mel_init (mel_struct *melp, ui32 buffer_size, ui8 *data)
static void | ojph::local::mel_emit_bit (mel_struct *melp, int v)
static void | ojph::local::mel_encode (mel_struct *melp, bool bit)
static void | ojph::local::vlc_init (vlc_struct *vlcp, ui32 buffer_size, ui8 *data)
static void | ojph::local::vlc_encode (vlc_struct *vlcp, int cwd, int cwd_len)
static void | ojph::local::terminate_mel_vlc (mel_struct *melp, vlc_struct *vlcp)
static void | ojph::local::ms_init (ms_struct *msp, ui32 buffer_size, ui8 *data)
static void | ojph::local::ms_encode (ms_struct *msp, ui32 cwd, int cwd_len)
static void | ojph::local::ms_terminate (ms_struct *msp)
void | ojph::local::ojph_encode_codeblock (ui32 *buf, ui32 missing_msbs, ui32 num_passes, ui32 width, ui32 height, ui32 stride, ui32 *lengths, ojph::mem_elastic_allocator *elastic, ojph::coded_lists *&coded)

## Variables

static int | ojph::local::ulvc_cwd_pre [33]
static int | ojph::local::ulvc_cwd_pre_len [33]
static int | ojph::local::ulvc_cwd_suf [33]
static int | ojph::local::ulvc_cwd_suf_len [33]
static bool | ojph::local::vlc_tables_initialized = vlc_init_tables()
static bool | ojph::local::uvlc_tables_initialized = uvlc_init_tables()

## Detailed Description

implements HTJ2K block encoder